Update extraction template
PATCH
/api/v1/extraction-mappings/{id}
const url = 'https://api.yggy.tech/api/v1/extraction-mappings/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","mappingJson":"example","schemaHeaders":["example"],"customInstructions":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.yggy.tech/api/v1/extraction-mappings/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "mappingJson": "example", "schemaHeaders": [ "example" ], "customInstructions": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
name
string
description
string
mappingJson
string
schemaHeaders
Array<string>
customInstructions
string
Example generated
{ "name": "example", "description": "example", "mappingJson": "example", "schemaHeaders": [ "example" ], "customInstructions": "example"}Responses
Section titled “ Responses ”Template updated
Media type application/json
object
id
required
string
externalId
required
string
name
required
string
description
string
format
required
string
mappingJson
required
string
schemaHeaders
Array<string>
customInstructions
string
isTemplate
required
boolean
builtIn
required
boolean
createdAt
string
updatedAt
string
Example generated
{ "id": "example", "externalId": "example", "name": "example", "description": "example", "format": "example", "mappingJson": "example", "schemaHeaders": [ "example" ], "customInstructions": "example", "isTemplate": true, "builtIn": true, "createdAt": "example", "updatedAt": "example"}Invalid input or built-in format
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}